Package org.h2.engine

# Class Session.DynamicSettings

java.lang.Object
org.h2.engine.Session.DynamicSettings

Enclosing class:
  `Session`

public static final class Session.DynamicSettings extends Object
Dynamic settings.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Mode`
`mode`
The database mode.
`final TimeZoneProvider`
`timeZone`
The current time zone.

## Constructor Summary

Constructors
Constructor
Description
`DynamicSettings(Mode mode, TimeZoneProvider timeZone)`
Creates new instance of dynamic settings.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mode

public final Mode mode
The database mode.

### timeZone

public final TimeZoneProvider timeZone
The current time zone.

## Constructor Details

### DynamicSettings

public DynamicSettings(Mode mode, TimeZoneProvider timeZone)
Creates new instance of dynamic settings.

Parameters:
  `mode` - the database mode
  `timeZone` - the current time zone